logstash不能在32位的linux上安装?报错如下:

作者 theowal1015 | 发布于2015年06月26日 | 阅读数:1995

linux:/usr/local/workspace/logstash-1.5.0 # bin/logstash -e 'input { stdin { } } output { stdout {} }'
io/console on JRuby shells out to stty for most operations
LoadError: Could not load FFI Provider: (NotImplementedError) FFI not available: null
See http://jira.codehaus.org/browse/JRUBY-4583
require at org/jruby/RubyKernel.java:1071
(root) at /usr/local/workspace/logstash-1.5.0/vendor/jruby/lib/ruby/shared/ffi/ffi.rb:69
require at org/jruby/RubyKernel.java:1071
(root) at /usr/local/workspace/logstash-1.5.0/vendor/jruby/lib/ruby/shared/ffi.rb:1
require at org/jruby/RubyKernel.java:1071
(root) at /usr/local/workspace/logstash-1.5.0/vendor/jruby/lib/ruby/shared/ffi.rb:1
(root) at /usr/local/workspace/logstash-1.5.0/vendor/bundle/jruby/1.9/gems/logstash-core-1.5.0-java/lib/logstash/util/prctl.rb:1
require at org/jruby/RubyKernel.java:1071
LibC at /usr/local/workspace/logstash-1.5.0/vendor/bundle/jruby/1.9/gems/logstash-core-1.5.0-java/lib/logstash/util/prctl.rb:4
(root) at /usr/local/workspace/logstash-1.5.0/vendor/bundle/jruby/1.9/gems/logstash-core-1.5.0-java/lib/logstash/util/prctl.rb:3
(root) at /usr/local/workspace/logstash-1.5.0/lib/bootstrap/environment.rb:48
已邀请:

theowal1015

赞同来自:

有人遇到过吗?

stab - freshman

赞同来自:

这应该是缺少环境了吧。logstash是基于JRuby实现的

medcl - Elastic 🇨🇳 !

赞同来自:

检查一下系统权限,试试下面的方法:

mkdir /usr/local/jdk/tmp

vi /usr/local/logstash/bin/logstash.lib.sh
JAVA_OPTS=”$JAVA_OPTS -Djava.io.tmpdir=/usr/local/jdk/tmp”

要回复问题请先登录注册